- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# UIPMC_Message_Block_Data_Iterator Class Reference

This is a help class for iterating through ACE_Message_Blocks and to segment them into MIOP packets. More...

`#include <UIPMC_Message_Block_Data_Iterator.h>`

Collaboration diagram for UIPMC_Message_Block_Data_Iterator:

[legend]
List of all members.

## Public Member Functions
| UIPMC_Message_Block_Data_Iterator (iovec *iov, int iovcnt)
| Constructor.
size_t | next_block (size_t max_length, iovec &block)
## Private Types
enum | State { INTER_BLOCK, INTRA_BLOCK }
## Private Attributes
iovec * | iov_
int | iovcnt_
char * | iov_ptr_
int | iov_index_
size_t | iov_len_left_
State | state_

## Detailed Description

This is a help class for iterating through ACE_Message_Blocks and to segment them into MIOP packets.

## Member Enumeration Documentation

enum UIPMC_Message_Block_Data_Iterator::State`[private]`

Enumerator:

  INTER_BLOCK |
  INTRA_BLOCK |

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL UIPMC_Message_Block_Data_Iterator::UIPMC_Message_Block_Data_Iterator | ( | iovec * | iov,
|  | int | iovcnt |
| ) |  |  |

Constructor.

## Member Function Documentation

size_t UIPMC_Message_Block_Data_Iterator::next_block | ( | size_t | max_length,
|  | iovec & | block |
| ) |  |  |

Get the next data block that has a size less than or equal to max_length. Return the length of the block returned.

## Member Data Documentation

iovec* UIPMC_Message_Block_Data_Iterator::iov_`[private]`

int UIPMC_Message_Block_Data_Iterator::iov_index_`[private]`

size_t UIPMC_Message_Block_Data_Iterator::iov_len_left_`[private]`

char* UIPMC_Message_Block_Data_Iterator::iov_ptr_`[private]`

int UIPMC_Message_Block_Data_Iterator::iovcnt_`[private]`

State UIPMC_Message_Block_Data_Iterator::state_`[private]`

The documentation for this class was generated from the following files:

- UIPMC_Message_Block_Data_Iterator.h
- UIPMC_Message_Block_Data_Iterator.cpp